OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

EnumPropsT< Trackdir > Struct Template Reference

Define basic enum properties. More...

`#include <track_type.h>`

Inheritance diagram for EnumPropsT< Trackdir >:

## Additional Inherited Members
Public Types inherited from MakeEnumPropsT< Trackdir, byte, TRACKDIR_BEGIN, TRACKDIR_END, INVALID_TRACKDIR, 4 >
typedef Trackdir | type
| enum type (i.e. Trackdir)
typedef byte | storage
| storage type (i.e. byte)
Static Public Attributes inherited from MakeEnumPropsT< Trackdir, byte, TRACKDIR_BEGIN, TRACKDIR_END, INVALID_TRACKDIR, 4 >
static const Trackdir | begin
| lowest valid value (i.e. TRACKDIR_BEGIN)
static const Trackdir | end
| one after the last valid value (i.e. TRACKDIR_END)
static const Trackdir | invalid
| what value is used as invalid value (i.e. INVALID_TRACKDIR)
static const uint | num_bits
| Number of bits for storing the enum in command parameters.

## Detailed Description

### template<>
struct EnumPropsT< Trackdir >

Define basic enum properties.

Definition at line 97 of file track_type.h.

The documentation for this struct was generated from the following file:

- src/track_type.h